ISINF(3G)

NAME
isinf - determine whether the parameter is positive or negative infinity

DECLARATION

genBType isinf(genType x);

genBType isinf(genDType x);

PARAMETERS

x
    Specifies the value to test for infinity.

DESCRIPTION

For each element i of the result, isinf returns true if x[i] is positive or negative floating point infinity and false otherwise.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
isinf (genType) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
isinf (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

isnan()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group